let
	removeNewlines = (import ../lib/util/remove-newlines.nix);
	presetRootSsh = (import ../lib/presets/root-ssh.nix);
in {
	resources.sshKeyPairs.ssh-key = {};

	osmium = {config, pkgs, ...}@args: let
		presetTools = (import ../lib/presets/tools.nix) args;
	in
		{
			deployment.targetEnv = "digitalOcean";
			deployment.digitalOcean.region = "ams2";
			deployment.digitalOcean.size = "512mb";
			#deployment.digitalOcean.authToken = removeNewlines (builtins.readFile ../credentials/digitalocean-auth-token);
		} // presetRootSsh // presetTools;
}
